Debian Bug report logs - #479024
package contains compiled python code

version graph

Package: xmms2tray; Maintainer for xmms2tray is Debian QA Group <packages@qa.debian.org>; Source for xmms2tray is src:xmms2tray.

Reported by: martin f krafft <madduck@debian.org>

Date: Fri, 2 May 2008 10:36:02 UTC

Severity: serious

Found in version xmms2tray/0.4-1

Fixed in version xmms2tray/0.4-1.1

Done: Scott Kitterman <scott@kitterman.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thomas Jollans <thomas@jollans.com>:
Bug#479024; Package xmms2tray. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: package contains compiled python code
Date: Fri, 2 May 2008 11:33:34 +0100
[Message part 1 (text/plain, inline)]
Package: xmms2tray
Version: 0.4-1
Severity: serious
File: /usr/share/python-support/xmms2tray/xmms2tray/__init__.pyc

The package ships with

  /usr/share/python-support/xmms2tray/xmms2tray/menu_conf.pyc  
  /usr/share/python-support/xmms2tray/xmms2tray/__init__.pyc
  /usr/share/python-support/xmms2tray/xmms2tray/xmms2_glib.pyc

which are not supposed to be part of the package, and especially not
in /usr/share.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1+scoflowctrl.1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xmms2tray depends on:
ii  python                     2.5.2-1       An interactive high-level object-o
ii  python-gtk2                2.12.1-1      Python bindings for the GTK+ widge
ii  python-imaging             1.1.6-2       Python Imaging Library
ii  python-notify              0.1.1-2       Python bindings for libnotify
ii  python-support             0.7.7         automated rebuilding support for P
ii  python-xmmsclient          0.4DrKosmos-4 XMMS2 - Python bindings

xmms2tray recommends no packages.

-- no debconf information


-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Jollans <thomas@jollans.com>:
Bug#479024; Package xmms2tray. Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Thomas Jollans <thomas@jollans.com>. Full text and rfc822 format available.

Message #8 received at 479024@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 479024@bugs.debian.org
Subject: Diff for proposed NMU
Date: Thu, 31 Jul 2008 01:51:17 -0400
[Message part 1 (text/plain, inline)]

[nmu.diff (text/x-diff, attachment)]

Reply sent to Scott Kitterman <scott@kitterman.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #13 received at 479024-close@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 479024-close@bugs.debian.org
Subject: Bug#479024: fixed in xmms2tray 0.4-1.1
Date: Fri, 01 Aug 2008 19:32:12 +0000
Source: xmms2tray
Source-Version: 0.4-1.1

We believe that the bug you reported is fixed in the latest version of
xmms2tray, which is due to be installed in the Debian FTP archive:

xmms2tray_0.4-1.1.diff.gz
  to pool/main/x/xmms2tray/xmms2tray_0.4-1.1.diff.gz
xmms2tray_0.4-1.1.dsc
  to pool/main/x/xmms2tray/xmms2tray_0.4-1.1.dsc
xmms2tray_0.4-1.1_all.deb
  to pool/main/x/xmms2tray/xmms2tray_0.4-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 479024@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Kitterman <scott@kitterman.com> (supplier of updated xmms2tray package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 31 Jul 2008 01:34:19 -0400
Source: xmms2tray
Binary: xmms2tray
Architecture: source all
Version: 0.4-1.1
Distribution: unstable
Urgency: low
Maintainer: Thomas Jollans <thomas@jollans.com>
Changed-By: Scott Kitterman <scott@kitterman.com>
Description: 
 xmms2tray  - systray integration for XMMS2
Closes: 479024
Changes: 
 xmms2tray (0.4-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove specific target directory for setup.py install so we don't install
     .pyc files in the deb (Closes: #479024)
Checksums-Sha1: 
 e6ed1473d1f22c928c125618ebac6cb498f8964c 1049 xmms2tray_0.4-1.1.dsc
 5f063543a9669e8e06d7721307ac6951b3d2ae8c 3640 xmms2tray_0.4-1.1.diff.gz
 6f8fc58808d7122b20d41c8fda8c5eeb30b40e49 104764 xmms2tray_0.4-1.1_all.deb
Checksums-Sha256: 
 96fd7a310a01fb4164284aedc5c7f9d75a04087e0436a04c0d21ada086028d0b 1049 xmms2tray_0.4-1.1.dsc
 b3bd6ff7c02fe181543ef183a1a2cbddb2c6c3d295a6b80e9577168b8c756b7f 3640 xmms2tray_0.4-1.1.diff.gz
 e47a8cdf1f798e09f000d24ada1b5248b6be7b4b963c58d3644786bd26e25b64 104764 xmms2tray_0.4-1.1_all.deb
Files: 
 2af31fe270a9521fc5997042fd87fcb4 1049 sound extra xmms2tray_0.4-1.1.dsc
 dc9d97e0599c14a565947d7a9b35a121 3640 sound extra xmms2tray_0.4-1.1.diff.gz
 b3d3bb4ea930433aa4f5f49c119f249a 104764 sound extra xmms2tray_0.4-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiTYpAACgkQB01zfu119Zk6agCg1IErsDWrp5TMnvIiX9Adh11k
fbgAn0B/vrvSO3AT7RXvcLT2xWpV3DTv
=qz2O
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Sep 2008 07:27:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:44:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.